Skip to main content
PATCH
/
clients
/
{client_id}
Update client details
curl --request PATCH \
  --url https://{your-subdomain}.neetoinvoice.com/api/external/v2/clients/{client_id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <x-api-key>' \
  --data '
{
  "client": {
    "name": "Neeto Client Inc.",
    "secondary_name": "Subsidiary Alpha",
    "default_invoice_due_in_days": "30",
    "internal_notes": "Preferred billing cycle: monthly",
    "currency": "USD",
    "status": "active",
    "address_attributes": {
      "full_address": "123 Main St, Springfield, IL 62704, USA"
    }
  }
}
'
{
  "notice_code": "<string>",
  "client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.neetoinvoice.com/llms.txt

Use this file to discover all available pages before exploring further.

Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

client_id
string
required

Unique ID of the client for which you want to retrieve or update details. Refer to Getting the Client ID section for detailed instructions.

Body

application/json
client
object

Response

200 - application/json

OK - Request succeeded

notice_code
string
client_id
string<uuid>